//go:build android
// +build android

package Android

import "net"

func (n *NewTun) SetHandle(
	callbackTCP func(conn net.Conn),
	udpSendReceiveFunc func(Type int, Theoni int64, pid uint32, LocalAddress, RemoteAddress string, data []byte) []byte) {
	sessionsMu.Lock()
	defer sessionsMu.Unlock()
	n.handleTCPCallback = callbackTCP
	n.handleUDPCallback = udpSendReceiveFunc
}
